%define oname ganglia
%define	subrel 2

Name:		ganglia-web
License:	BSD
Version:	3.6.2
Release:	%mkrel 4
Group:		Monitoring
URL:		http://ganglia.sourceforge.net/
Source0:	http://downloads.sourceforge.net/ganglia/%{name}-%{version}.tar.gz
Source1:	ganglia-web.conf
Patch0:		ganglia-web-3.5.8-mga-dont-run-chown.patch
Patch1:		ganglia-web-3.6.2-mga-fix-auth-bypass.patch
Summary:	Ganglia Web Frontend

BuildArch:	noarch
Obsoletes:	%{oname}-webfrontend < 3.5.3
Provides:	%{oname}-webfrontend = %{version}-%{release}

BuildRequires:	rsync
Requires:	%{oname}-core
Requires:	apache-mod_php
Requires:	rrdtool
Requires:	%{oname}-gmetad
Requires:	php-xml
Requires:	php-gd
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description
This component presents all the historical data saved
to Round-Robin databases by Gmetad in HTML allowing all
cluster, hosts and host metrics to be viewed in real-time.


%prep
%setup -q
%patch0 -p1 -b .chown~
%patch1 -p1 -b .auth-bypass~

%build

%install
# No need for execure bit
chmod -x header.php
%makeinstall_std
install -D -m 644 %{SOURCE1} %{buildroot}%{_webappconfdir}/%{name}.conf

# Don't install docs in web dir
rm %{buildroot}%{_datadir}/%{name}frontend/{AUTHORS,COPYING,README,TODO}

%files
%doc AUTHORS COPYING README TODO
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_datadir}/%{name}frontend
%{_var}/lib/ganglia-web/conf
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/compiled
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/cache


%changelog
* Tue Sep 15 2015 solbu <solbu> 3.6.2-4.2.mga5
+ Revision: 879503
- Actually apply the patch. Doh!
- Use correct, new apache style access grants
- Fix CVE-2015-6816: auth bypass (mga#16715)

* Wed Oct 15 2014 umeabot <umeabot> 3.6.2-4.mga5
+ Revision: 743221
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.6.2-3.mga5
+ Revision: 733988
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 3.6.2-2.mga5
+ Revision: 679410
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 solbu <solbu> 3.6.2-1.mga5
+ Revision: 672991
- New version

* Sun Aug 03 2014 solbu <solbu> 3.5.12-1.mga5
+ Revision: 659342
- Add apache config
- New version
- Drop P1, merged upstream

* Fri Nov 29 2013 solbu <solbu> 3.5.10-3.mga4
+ Revision: 554084
- Fix XSS flaw (mga#11782)

* Sat Oct 19 2013 umeabot <umeabot> 3.5.10-2.mga4
+ Revision: 530584
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 solbu <solbu> 3.5.10-1.mga4
+ Revision: 458016
- New version

* Thu May 30 2013 solbu <solbu> 3.5.8-1.mga4
+ Revision: 433457
- New version
- Rediff and rename patch

* Fri Jan 11 2013 umeabot <umeabot> 3.5.4-2.mga3
+ Revision: 351050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 solbu <solbu> 3.5.4-1.mga3
+ Revision: 333425
- Initial Mageia package
- Fix Makefile

